//
//  myViewController.m
//  Calcolatrice
//
//  Created by valvoline on 11/2/09.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "SuperViewController.h"
#import "CurrencyConverterView.h"
#import "CalculatorView.h"

@implementation SuperViewController

// Implement loadView to create a view hierarchy programmatically, without using a nib.
- (void)loadView {
	CGRect bounds = [[UIScreen mainScreen] applicationFrame];
	myCurrencyConverterView = [[CurrencyConverterView alloc] initWithFrame:CGRectMake(0, 0, bounds.size.width, bounds.size.height)];
	myCalculatorView = [[CalculatorView alloc] initWithFrame:CGRectMake(0, 0, bounds.size.width, bounds.size.height)];
	self.view = myCalculatorView;
	
	segmentedControl = [[UISegmentedControl alloc] initWithItems:nil];
	segmentedControl.segmentedControlStyle = UISegmentedControlStyleBar;
	[segmentedControl insertSegmentWithTitle:@"Calculator" atIndex:0 animated:NO];
	[segmentedControl insertSegmentWithTitle:@"Currrency" atIndex:1 animated:NO];
	[segmentedControl setSelectedSegmentIndex:0];
	self.navigationItem.titleView = segmentedControl;
	
	[segmentedControl addTarget:self action:@selector(segmentedControlPressed:) \
					  forControlEvents:UIControlEventValueChanged];
	
	
	NSMutableArray *buttons = [[NSMutableArray alloc] init];
	UIBarButtonItem *buttonText;
	
	buttonText = [[UIBarButtonItem alloc] initWithTitle:@"Copia" \
										   style:UIBarButtonItemStyleBordered \
										   target:self action:@selector(copyToMemory:)];
	[buttons addObject:buttonText];
	[buttonText release];

	buttonText = [[UIBarButtonItem alloc] initWithTitle:@"Incolla" \
										  style:UIBarButtonItemStyleBordered \
										  target:self action:@selector(pasteFromMemory:)];
	
	[buttons addObject:buttonText];
	[buttonText release];
	
	toolbar = [[UIToolbar alloc] initWithFrame:CGRectMake(0, 440, 320, 40)];
	toolbar.barStyle = UIBarStyleDefault;
	[toolbar setItems:buttons];

	[self.navigationController.view addSubview:toolbar];

}

-(void)copyToMemory:(id)sender {
	UIPasteboard *pasteboard = [UIPasteboard generalPasteboard];
	if(self.view == myCalculatorView) 
		[pasteboard setValue:[myCalculatorView displayedValue] \
					forPasteboardType:@"public.utf8-plain-text"];
	
	else 
		[pasteboard setValue:[myCurrencyConverterView displayedValue] \
					forPasteboardType:@"public.utf8-plain-text"];
}

-(void)pasteFromMemory:(id)sender {
	UIPasteboard *pasteboard = [UIPasteboard generalPasteboard];
	if(self.view == myCalculatorView) 
		[myCalculatorView setDisplayedValue:(NSString *)[pasteboard \
						  valueForPasteboardType:@"public.utf8-plain-text"]];
	
	else 
		[myCurrencyConverterView setDisplayedValue:(NSString *)[pasteboard \
								 valueForPasteboardType:@"public.utf8-plain-text"]];
}

-(void)segmentedControlPressed:(id)sender {
	switch(segmentedControl.selectedSegmentIndex) {
		case 0:
			self.view = myCalculatorView;
			break;
		case 1:
			self.view = myCurrencyConverterView;
			break;
	}
}

- (void)didReceiveMemoryWarning {
	// Releases the view if it doesn't have a superview.
    [super didReceiveMemoryWarning];
	
	// Release any cached data, images, etc that aren't in use.
}

- (void)viewDidUnload {
	// Release any retained subviews of the main view.
	// e.g. self.myOutlet = nil;
}


- (void)dealloc {
	[myCalculatorView release];
	[myCurrencyConverterView release];
    [super dealloc];
}


@end
